/* FAQ Section Styles */

.faq-section {
  background-color: var(--color-white);

  .faq-section__container {
    max-width: var(--content-width);
    margin: 0 auto;
    margin-bottom: 6rem;
    padding: 5rem 1rem 0;

    @media (max-width: 768px) {
      margin-bottom: 2rem;
    }
  }

  .faq-section__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
  }

  .faq-section__title {
    color: var(--color-pink);
    font-size: 3rem;
    line-height: 1.2;

    @media (max-width: 768px) {
      font-size: 2rem;
    }
  }

  .faq-section__button {
    padding: 0.6rem 2rem;
    text-align: center;
    cursor: pointer;
    background-color: var(--color-dark-pink);
    text-decoration: none;
    color: var(--color-white);
    transition: background-color 0.3s ease;

    &:hover {
      background-color: var(--color-pink);
    }
  }

  .faq-section__divider {
    margin: 1rem 0;
    border: none;
    height: 1px;
    background-color: var(--color-medium-gray);
  }

  .faq-section__content {
    padding: 2rem 0 4rem;
    display: grid;
    grid-template-columns: 1fr;
    gap: 4rem;
  }
  

  .faq-section__item {
    display: flex;
    flex-direction: column;
    gap: 1rem;
  }

  .faq-section__question {
    font-size: 1.5rem;
    font-weight: 600;
    color: var(--color-dark-gray);

    @media (max-width: 768px) {
      font-size: 1.125rem;
    }
  }

  .faq-section__answer {
    font-size: 1.25rem;
    color: var(--color-gray);
    font-weight: 500;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    overflow: hidden;

    @media (max-width: 768px) {
      font-size: 1rem;
    }
  }

  .faq-section__empty {
    grid-column: 1 / -1;
    text-align: center;
    color: var(--color-gray);
    font-style: italic;
  }
}
